diff --git a/web/pgadmin/browser/server_groups/servers/roles/static/js/role.js b/web/pgadmin/browser/server_groups/servers/roles/static/js/role.js
index 92a02735a..dcb99eb26 100644
--- a/web/pgadmin/browser/server_groups/servers/roles/static/js/role.js
+++ b/web/pgadmin/browser/server_groups/servers/roles/static/js/role.js
@@ -515,7 +515,13 @@ define('pgadmin.node.role', [
           filter: function(d) {
             return this.model.isNew() || (this.model.get('rolname') != d.label);
           },
-          helpMessage: 'helpMessage',
+          helpMessage: function(m) {
+            if (m.has('read_only') && m.get('read_only') == false) {
+              return gettext('Select the checkbox for roles to include WITH ADMIN OPTION.');
+            } else {
+              return gettext('Roles shown with a check mark have the WITH ADMIN OPTION set.');
+            }
+          },
         },
         {
           id: 'rolmembers', label: gettext('Members'), type: 'collection', group: gettext('Membership'),
@@ -535,7 +541,13 @@ define('pgadmin.node.role', [
           filter: function(d) {
             return this.model.isNew() || (this.model.get('rolname') != d.label);
           },
-          helpMessage: 'helpMessage',
+          helpMessage: function(m) {
+            if (m.has('read_only') && m.get('read_only') == false) {
+              return gettext('Select the checkbox for roles to include WITH ADMIN OPTION.');
+            } else {
+              return gettext('Roles shown with a check mark have the WITH ADMIN OPTION set.');
+            }
+          },
         },
         {
           id: 'variables', label: '', type: 'collection',
@@ -591,13 +603,6 @@ define('pgadmin.node.role', [
 
           return null;
         },
-        helpMessage: function(m) {
-          if (m.has('read_only') && m.get('read_only') == false) {
-            return gettext('Select the checkbox for roles to include WITH ADMIN OPTION.');
-          } else {
-            return gettext('Roles shown with a check mark have the WITH ADMIN OPTION set.');
-          }
-        },
       }),
     });
   }
